------------------------------------------------------------------------
r73 | nrpieper@gmail.com | 2016-12-05 22:15:08 -0600 (Mon, 05 Dec 2016) | 1 line
Changed paths:
   M /trunk/Misspelled.toc

Tested and updated TOC for patch 7.1
------------------------------------------------------------------------
r72 | nrpieper@gmail.com | 2016-12-05 22:12:23 -0600 (Mon, 05 Dec 2016) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Tested and updated TOC for patch 7.1
------------------------------------------------------------------------
r71 | nrpieper | 2016-07-28 22:03:49 -0500 (Thu, 28 Jul 2016) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Tested and working with client v7 - TOC Bump
------------------------------------------------------------------------
r70 | nrpieper | 2015-07-03 17:13:14 -0500 (Fri, 03 Jul 2015) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC bump for patch 6.2.0
------------------------------------------------------------------------
r69 | nrpieper | 2014-10-15 10:22:38 -0500 (Wed, 15 Oct 2014) | 2 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC Bump and Lib updates.  
Tested and working with Patch 6.0.2
------------------------------------------------------------------------
r68 | nrpieper | 2013-09-16 08:10:05 -0500 (Mon, 16 Sep 2013) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC update for client patch 5.4
------------------------------------------------------------------------
r67 | nrpieper | 2013-05-25 11:28:50 -0500 (Sat, 25 May 2013) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC updated for 5.3
------------------------------------------------------------------------
r66 | nrpieper | 2013-03-11 15:08:53 -0500 (Mon, 11 Mar 2013) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Updated TOC for patch 5.2.  Hard coded a rule to prioritize the suggestion 'the' for the misspelled text 'teh'.
------------------------------------------------------------------------
r65 | nrpieper | 2012-11-27 16:12:11 -0600 (Tue, 27 Nov 2012) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC bump to client 5.1
------------------------------------------------------------------------
r64 | nrpieper | 2012-07-12 09:08:34 -0500 (Thu, 12 Jul 2012) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Beta version for Mists of Pandaria beta.
------------------------------------------------------------------------
r63 | nrpieper | 2012-04-06 16:04:37 -0500 (Fri, 06 Apr 2012) | 1 line
Changed paths:
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added some Pandaria proper nouns
------------------------------------------------------------------------
r62 | nrpieper | 2011-11-29 11:52:11 -0600 (Tue, 29 Nov 2011) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC Bump for patch 4.3
------------------------------------------------------------------------
r61 | nrpieper | 2011-06-28 13:00:32 -0500 (Tue, 28 Jun 2011) | 1 line
Changed paths:
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC Bump for Firelands patch 4.0.2
------------------------------------------------------------------------
r60 | nrpieper | 2011-04-26 05:58:01 -0500 (Tue, 26 Apr 2011) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC bump to 40100 - (for WoW 4.1)
------------------------------------------------------------------------
r59 | nrpieper | 2011-03-20 20:05:37 -0500 (Sun, 20 Mar 2011) | 1 line
Changed paths:
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added missing Cataclysm instance boss names, to the enUS English dictionary.
------------------------------------------------------------------------
r58 | nrpieper | 2011-02-21 13:20:38 -0600 (Mon, 21 Feb 2011) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Version bump to update embedded libs
------------------------------------------------------------------------
r57 | nrpieper | 2010-10-11 21:14:40 -0500 (Mon, 11 Oct 2010) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC bump to 4.0
------------------------------------------------------------------------
r56 | nrpieper | 2010-09-29 12:30:46 -0500 (Wed, 29 Sep 2010) | 1 line
Changed paths:
   M /trunk/Dict/Dic_enGB.lua
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added the following Cataclysm proper nouns to the enUS and enGB dictionaries: Akir, Altarius, Ammunae, Anhuur, Anraphet, Archmage, Arugal, Asim, Azil, Barad, Baradin, Barim, Batol, Blindwatcher, Bonecrusher, Corborus, Corla, Deepholm, Drahga, Earthrager, Ertan, Erudax, Erunak, Fenrus, Forgemaster, Ghur'sha, Gilneas, Gilnid, Greenskin, Husam, Isiset, Karsh, Kelp'thar, Kezan, Lockmaw, Mindbender, Nandos, Naz'jar, Obsidius, Ozruk, Ozumat, Rajh, Razorclaw, Rethilgore, Rhahk'Zor, Rom'ogg, Setesh, Shodowburner, Siamat, Silverlaine, Slabhide, Springvale, Steelbender, Stonecore, Stonespeaker, Throngus, Tol'vir, Tol, Uldum, Ulthok, Umbriss, VanCleef, Vashj'ir, Worgen
------------------------------------------------------------------------
r55 | nrpieper | 2010-09-14 17:59:36 -0500 (Tue, 14 Sep 2010) | 2 lines
Changed paths:
   M /trunk
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Small change to remark out popupmenuitem.owner lines that don't appear to be needed, and were throwing a [this] is nil error in Cat/Wow 4
Choose to "Use Out of Date Addons", to use Misspelled with the current PRT or Cataclysm clients.
------------------------------------------------------------------------
r54 | nrpieper | 2010-07-22 13:24:08 -0500 (Thu, 22 Jul 2010) | 3 lines
Changed paths:
   A /trunk/Localization
   A /trunk/Localization/Includes.xml
   A /trunk/Localization/enUS.lua

Added support for UI localization.  Now I just need some help with translations.
"Fixed" compatibility with the addon Gryphonheart Items:
(GHI) Gryphonheart Items begins it's item color tags with a (|C) capitol C (vs the standard |c).  I added that possibility to the chat text parsing routines.
------------------------------------------------------------------------
r53 | nrpieper | 2010-07-22 13:09:26 -0500 (Thu, 22 Jul 2010) | 3 lines
Changed paths:
   M /trunk/.pkgmeta
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/embeds.xml

Added support for localization.  Now I just need some help with translations.
"Fixed" compatibility with the addon Gryphonheart Items:
(GHI) Gryphonheart Items begins it's item color tags with a (|C) capitol C (vs the standard |c).  I added that possibility to the chat text parsing routines.
------------------------------------------------------------------------
r52 | nrpieper | 2010-06-24 10:35:58 -0500 (Thu, 24 Jun 2010) | 1 line
Changed paths:
   A /trunk/Dict/DIC_itIT.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Added itIT Italian dictionary, including Chromium delta words.
------------------------------------------------------------------------
r51 | nrpieper | 2010-05-23 15:46:49 -0500 (Sun, 23 May 2010) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Fix an error preventing the enGB dictionary from loading.
------------------------------------------------------------------------
r50 | nrpieper | 2010-05-14 09:00:29 -0500 (Fri, 14 May 2010) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Corrected invalid detection of PTR
------------------------------------------------------------------------
r49 | nrpieper | 2010-05-13 09:26:01 -0500 (Thu, 13 May 2010) | 2 lines
Changed paths:
   D /trunk/Dict/Dic_esES_larger.lua
   D /trunk/Dict/Dic_esES_smaller.lua
   A /trunk/Dict/Dic_ruRU.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

ruRU - Russian dictionary added (experiential)
Support added for the IM chat changes in patch 3.5 (PTR), that introduce multiple chat editboxes.
------------------------------------------------------------------------
r48 | nrpieper | 2010-02-03 07:59:20 -0600 (Wed, 03 Feb 2010) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Corrected a typo in the .toc file.  The addon Title entry was mistakenly mistyped. "Mispelled" was changed to "Misspelled".
------------------------------------------------------------------------
r47 | nrpieper | 2010-01-13 09:23:48 -0600 (Wed, 13 Jan 2010) | 1 line
Changed paths:
   A /trunk/Dict/Dic_enGB.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added a UK English (enGB) dictionary.  Users wanting to use this dictionary, should uncheck the auto-dictionary selection option, and select the enGB option, then reload.  Like the other Misspelled dictionaries, this one was derived from the enGB dictionary included in Openoffice & Chromium.  Included in this dictionary are the Wow proper nouns I included in the US English dictionary, including zone names, raid boss names, and a few other Warcraft specific words.  Due to the similarity to US English, the suggestion engine uses the same phonetic rules for both dictionaries.
------------------------------------------------------------------------
r46 | nrpieper | 2009-12-07 21:22:28 -0600 (Mon, 07 Dec 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

TOC bump for patch 3.3
------------------------------------------------------------------------
r45 | nrpieper | 2009-12-06 17:48:12 -0600 (Sun, 06 Dec 2009) | 1 line
Changed paths:
   M /trunk/.pkgmeta
   M /trunk/embeds.xml

Fixed .pkgmeta embed statement needed for AceGUI
------------------------------------------------------------------------
r44 | nrpieper | 2009-12-06 17:40:30 -0600 (Sun, 06 Dec 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/embeds.xml

AceGUI, requires AceConsole.  Corrected embeds.xml file.
------------------------------------------------------------------------
r43 | nrpieper | 2009-12-06 17:31:54 -0600 (Sun, 06 Dec 2009) | 2 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/embeds.xml

Added UI to show, and allow deletes, of words added to user dictionary.  You'll find the "Edit Dictionary..." button, in the Interface/Options area.
Reminder: you can add words to your user dictionary, by right clicking a misspelled word, and clicking, "Add to Dictionary"
------------------------------------------------------------------------
r42 | nrpieper | 2009-11-14 18:50:27 -0600 (Sat, 14 Nov 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Beta release for PTR Patch 3.3.  Misspelled is fully compatible with the current PTR.  This beta release contains only a TOC bump,  and no other changes.  I'll leave this release flagged as beta until patch 3.3 is released and I can perform final testing.
------------------------------------------------------------------------
r41 | nrpieper | 2009-10-10 09:15:22 -0500 (Sat, 10 Oct 2009) | 1 line
Changed paths:
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fixed version typo.
------------------------------------------------------------------------
r40 | nrpieper | 2009-10-10 09:13:20 -0500 (Sat, 10 Oct 2009) | 2 lines
Changed paths:
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Modified a hook to WIM, needed to remove the highlighting of misspelled words, prior to sending a chat message to the server.  The author of WIM is due to add a specific API, just for this purpose, in the next release.
Added the following words to the US English dictionary (includes some proper nouns from the patch 3.3 PTR): Frostwing, Sindragosa, Baine, San'layn, Bronzebeard, Valanar, Doomguard, Saurfang, Plagueworks, Highlord, Tirion, Valithria, runeblade, Fordring, Muradin, Putricide, Deathwhisper, Hippogryph, Bloodhoof, Lich, Frostmourne, Wrynn, Marrowgar, wyrm, Skybreaker, undeath, Orgrim's, Dreamwalker, Shadowfiend, Mograine, Darion, Lana'thel
------------------------------------------------------------------------
r39 | nrpieper | 2009-08-13 10:26:05 -0500 (Thu, 13 Aug 2009) | 1 line
Changed paths:
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added the following new proper nouns to the US English dictionary, many from from patch 3.2 (ToC Instance boss names): Eadric, Thrakgar, Tyrius, Dawnsinger, Jaraxxus, Zul, Skullcrusher, Noozle, Kavina, Runok, Stouthorn, Shaabad, Grimdabbler, Colosos, Harkzog, Gorgrim, Zhaagrym, Wildmane, Val'kyr, respawn, Icehowl, Mokra, Arelas, Zul'tore, Blightslinger, Ruj'kah, Nightfell, Visceri, Misthoof, Brienna, Edyis, Melador, Malithas, Alerius, Gormok, Snobold, Dreadstone, Ametrine, Brightblade, Acidmaw, Steelbreaker, Eressea, Valestrider, Darkbane, Shadowcleave, Whizzlestick, Ginselle, Paletress, Shocuul, Deathstalker, Liandra, Dreadscale, Lightbane, Jaelyne, Shadowstep, Moonstalker, Stouthammer, Lightbearer, Duskblade, Velanaa, Maz'dinah, Stormhoof, Baelnor, Brightstar, Suncaller, Boltspark, Blackwhisper, Irieth, Narrhok, Broln, Grovesong, Birana, Serissa, felhunter, Shaamul, Fjola, Ventrilo
------------------------------------------------------------------------
r38 | nrpieper | 2009-08-04 06:01:31 -0500 (Tue, 04 Aug 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Updated .toc for patch 3.2
------------------------------------------------------------------------
r37 | nrpieper | 2009-07-28 17:27:32 -0500 (Tue, 28 Jul 2009) | 4 lines
Changed paths:
   M /trunk/Dict/Dic_frFR.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/UTF8/utf8.lua
   M /trunk/WordDict.lua

Replaced French dictionary with the one used in Chromium.  I included the additional words Chromium added. 
(http://src.chromium.org/viewvc/chrome/trunk/src/chrome/third_party/hunspell/dictionaries/fr_FR.dic_delta)
Fixed a typo in the UTF8 section of RemovePrefix that was causing words to be flagged as misspelled, if you were using one of the UTF8 dictionaries and the word contained one of the compresses prefixes, even though they were spelled correctly.
With these fixes, the word [l'ΘlΘphant] is now not mistakenly flagged as misspelled.
------------------------------------------------------------------------
r36 | nrpieper | 2009-07-19 10:07:45 -0500 (Sun, 19 Jul 2009) | 1 line
Changed paths:
   A /trunk/Dict/Dic_frFR.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Added a French dictionary.  The French dictionary will auto-load if you're using the frFR client, or you can manually choose to use it from the Misspelled Interface/Addons options page.
------------------------------------------------------------------------
r35 | nrpieper | 2009-07-19 08:14:24 -0500 (Sun, 19 Jul 2009) | 2 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Hopefully fixed the issue that was crashing client.
Hooked ChatThrottleLib:SendChatMessage so I can clean any misspelled highlighted words before the message is sent.
------------------------------------------------------------------------
r34 | nrpieper | 2009-07-18 12:03:08 -0500 (Sat, 18 Jul 2009) | 3 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Misspelled can now add interactive spell-checking to multiple EditBoxes at the same time.
Added initial support for integrating with WIM.  Please report any issues you have.

------------------------------------------------------------------------
r33 | nrpieper | 2009-06-25 16:12:22 -0500 (Thu, 25 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Added guild member and friends player names phonetic codes were always using US English phonetic code generation for all languages.  The generic phonetic code is now used for German and Spanish.
ipairs and pairs locals added to WordDict.lua for increased speed.
------------------------------------------------------------------------
r32 | nrpieper | 2009-06-01 13:21:56 -0500 (Mon, 01 Jun 2009) | 2 lines
Changed paths:
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added 642 additional US English base words and corresponding affix codes.  The word list was borrowed from Chrome's additions to the US English OpenOffice dictionary included in their implementation.  You can view the words added here: http://src.chromium.org/viewvc/chrome/trunk/src/chrome/third_party/hunspell/dictionaries/en_US.dic_delta
Are you sure "ing" is a valid suffix for the word "YouTube"???  j/k
------------------------------------------------------------------------
r31 | nrpieper | 2009-06-01 07:59:09 -0500 (Mon, 01 Jun 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fix an error occurring for users that were not using a prior version and didn't have a savedVariables Misspelled.lua file.
------------------------------------------------------------------------
r30 | nrpieper | 2009-05-31 13:55:06 -0500 (Sun, 31 May 2009) | 15 lines
Changed paths:
   D /trunk/Bindings.xml
   M /trunk/Dict/Dic_deDE.lua
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Dict/Dic_esES.lua
   A /trunk/Dict/Dic_esES_larger.lua
   A /trunk/Dict/Dic_esES_smaller.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   A /trunk/UTF8
   A /trunk/UTF8/utf8.lua
   A /trunk/UTF8/utf8data.lua
   M /trunk/WordDict.lua

Spanish (esES) dictionary support added.

There is a new interface options page, that allows you to manually select a dictionary to load.
Note: if you select a different dictionary, you need to reload the game UI for it to take effect. 
Note: Right now, there isn't a separate user dictionary for each language.  This will be an issue if you routinely switch dictionaries back and forth.

Suggestions are now generated when you right click a misspelled word.  This will speed up edits that occur someplace other than the end of the line.
Many fixes have been applied to the suggestion generation code.  You'll notice fewer, better suggesting being returned.  In English, Teh is still an issue.  Humm....

Support added throughout for UTF8 multi-byte character encoding.
Generating suggestions using on of the UTF8 dictionaries (Spanish and German) takes noticeably longer.  If you're using a UTF8 dictionary, two suggestion generation methods (BadChar & ForgotChar) are disabled to allow some suggestion results to return within a reasonable time.
The extra execution time the UTF8 code adds, is compounded by the Spanish and German dictionaries having significantly more suffix combinations that need checking when validating a word is spelled correctly.  I'm sure there are additional improvements that can be made here.
Implemented a generic sounds like method to support language dictionaries that don't supply phonetic codes.  Currently only Spanish uses this method.

The word "Aldor" was added to the English dictionary.
------------------------------------------------------------------------
r29 | nrpieper | 2009-05-27 21:56:05 -0500 (Wed, 27 May 2009) | 4 lines
Changed paths:
   M /trunk/Dict/Dic_deDE.lua
   M /trunk/Dict/Dic_enUS.lua
   M /trunk/Dict/Dic_esES.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Added "Generic" sounds-like function for dictionaries that don't include phonetic spelling info (Spanish/French)
Fixed BadChars, and ReplaceChars misspelling tests.
Changes TestWord to call WordDict:Contains.  Correct; but slowing down suggesting generation.  Might have to move suggestion generation to the right click handler.

------------------------------------------------------------------------
r28 | nrpieper | 2009-05-27 16:43:53 -0500 (Wed, 27 May 2009) | 5 lines
Changed paths:
   A /trunk/Dict/Dic_deDE.lua (from /trunk/Dict/Dic_de_DE.lua:27)
   D /trunk/Dict/Dic_de_DE.lua
   A /trunk/Dict/Dic_enUS.lua (from /trunk/Dict/Dic_en_US.lua:27)
   D /trunk/Dict/Dic_en_US.lua
   A /trunk/Dict/Dic_esES.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Added a Spanish dictionary for esES clients.  
Spanish to-do: Need to implement the generic phonetic code method for this language. (http://aspell.net/man-html/The-Simple-Soundslike.html#The-Simple-Soundslike)  Adding this will help return more suggestions.
Loading the Spanish dictionary forced some work on UTF-8 issues.  More work is needed here.
The split function's local variables were moved outside the function to speed up multiple calls.  The change reduced the time needed to load the dictionary.

------------------------------------------------------------------------
r27 | nrpieper | 2009-05-24 17:50:52 -0500 (Sun, 24 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Capitalized misspelled words will stay capitalized after selecting a replacement suggestion.  Long term I want to detect the beginning of a sentence, so I can correct incorrect Capitalization.  For now this change should help.
------------------------------------------------------------------------
r26 | nrpieper | 2009-05-24 15:31:20 -0500 (Sun, 24 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added these characters to the list of word separators: "(", ")", ";"
------------------------------------------------------------------------
r25 | nrpieper | 2009-05-22 15:57:53 -0500 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/WordDict.lua

Edit distance, substitution cost is now case insensitive.
------------------------------------------------------------------------
r24 | nrpieper | 2009-05-22 05:51:48 -0500 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Changed the misspelled highlighting to a medium-cyan-ish color.  Hopefully this will make it easier to see misspelled words in all the common channels: Say, Party, Raid, Guild, Whisper, Trade, Yell
------------------------------------------------------------------------
r23 | nrpieper | 2009-05-21 10:19:01 -0500 (Thu, 21 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Added Ace3 OptionDep tag to the .toc so the addon would properly load for those running without libs embedded.
------------------------------------------------------------------------
r22 | nrpieper | 2009-05-21 09:41:07 -0500 (Thu, 21 May 2009) | 3 lines
Changed paths:
   M /trunk/Dict/Dic_en_US.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/Misspelled.xml

Now uses AceEvent to replace the hidden frame and OnEvent hook needed to load guild members.
Added the "words" LFG and LFM to the US English dictionary.
When a suggestion is selected to replace a given misspelled word (or Ignore or Add to Dic was selected), the cursor was positioned at end of the replaced word.  Now, if there is a space after that word, the cursor is positioned to the right of that space.  This should reduce the spell-checking needed when the only character on the line, to the right of a cursor, is a space.
------------------------------------------------------------------------
r21 | nrpieper | 2009-05-21 06:23:55 -0500 (Thu, 21 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/Misspelled.xml

Changed some of the frame xlm code, to hopefully hide a phantom dropdown frame that was being seen by some.
------------------------------------------------------------------------
r20 | nrpieper | 2009-05-20 16:16:16 -0500 (Wed, 20 May 2009) | 3 lines
Changed paths:
   M /trunk/.pkgmeta
   A /trunk/Dict/Dic_de_DE.lua
   M /trunk/Dict/Dic_en_US.lua
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua
   M /trunk/embeds.xml

A German dictionary has been added and will load if you are using the German client.  Note:  No Warcraft specific proper nouns have been included in the German dictionary.
Misspelled's loading and right-click event wireup routines were converted to use AceAddon and AceHook.  Hopefully this should help make Misspelled more compatible with any other Ace addons (Prat), that also try and hook the ChatFrameEditBox's MouseUp event.
Local variables are now widely used to speed up calls to global functions.
------------------------------------------------------------------------
r19 | nrpieper | 2009-05-18 04:25:51 -0500 (Mon, 18 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   D /trunk/test.lua
   D /trunk/test1.lua
   D /trunk/test2.lua
   D /trunk/tprint.lua

Fix for errors reported loading friends player named into the dictionary.
------------------------------------------------------------------------
r18 | nrpieper | 2009-05-17 08:51:49 -0500 (Sun, 17 May 2009) | 4 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Reduced memory needed to store the dictionary in half.  Affix keys and phonetic codes are no longer stored using subtables.  Memory usage went from 11.6Mb to 5.7Mb
The user dictionary storage format was changed to match the, updated, in memory dictionary storage format.  Any existing user dictionaries will be converted the first time you load r18.
Improved the suggestions generation, especially when the word contains a capital letter.
8 suggestions are now returned, not 10.
------------------------------------------------------------------------
r17 | nrpieper | 2009-05-16 14:15:20 -0500 (Sat, 16 May 2009) | 4 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

No UI or functionality changes in this release.
Removed unnecessary OnUpdate event hook.  r16's cursor positioning code no longer needs to independently track the cursor position using OnUpdate.
Moved creation of local variables outside of loops, wherever possible.  Should help the GC not cry.
Removed some unneeded local variable creation.
------------------------------------------------------------------------
r16 | nrpieper | 2009-05-16 06:05:39 -0500 (Sat, 16 May 2009) | 6 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Maximum suggestions increased to 10
Fixed an error where words in all CAPS, or words that contained numbers were throwing a Lua error.
Fixed the chat edit cursor position so it moves naturally as you perform edits in and around misspelled highlighted words.  Wow this was a lot of work.  Did you know you can crash Wow, with an invalid cursor position!
Fixed a problem where the spell checking routine was firing twice, if it found a misspelled word.
More code cleanup.  There shouldn't be any remaining, non reachable code.
We're getting very near release quality!
------------------------------------------------------------------------
r15 | nrpieper | 2009-05-15 10:42:14 -0500 (Fri, 15 May 2009) | 3 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/Misspelled.xml

The Misspelled word suggestions pop-up dialog now takes up less space.  Cancel option added to the bottom of the pop-up.
Loading guild members routine delayed until the first ChatEditBox_OnTextChanged event.  I wasn't always getting guild info during addon loading.
ChatEditBox_OnSpacePressed event removed.  We only use OnTextChanged.
------------------------------------------------------------------------
r14 | nrpieper | 2009-05-14 19:04:24 -0500 (Thu, 14 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fixed error loading guild members
------------------------------------------------------------------------
r13 | nrpieper | 2009-05-14 17:32:25 -0500 (Thu, 14 May 2009) | 4 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Your friends and guild roster are now added, upon zone-in, to the list of correctly spelled words.  Suggestions that match a friend or guild member player name are flagged with either (Friend) or (Guild), in the suggestions right-click pop-up.
Lots of cleanup and remarks added to the code.
Fixed cases where editing near the boundary of a highlighted misspelled word would mangle color tag information leaving only partial color tags.
Started implementing routines to correctly set the cursor position when the chat text is changed by Misspelled.  More work is still needed here.
------------------------------------------------------------------------
r12 | nrpieper | 2009-05-14 17:22:34 -0500 (Thu, 14 May 2009) | 4 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Your friends and guild roster are now added, upon zone-in, to the list of correctly spelled words.  Suggestions that match a friend or guild member player name are flagged with either (Friend) or (Guild), in the suggestions right-click pop-up.
Lots of cleanup and remarks added to the code.
Fixed cases where editing near the boundary of a highlighted misspelled word would mangle color tag information leaving only partial color tags.
Started implementing routines to correctly set the cursor position when the chat text is changed by Misspelled.  More work is still needed here.
------------------------------------------------------------------------
r11 | nrpieper | 2009-05-11 21:10:40 -0500 (Mon, 11 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Saved user dictionary fixes, and new code to start tracking the cursor position.
------------------------------------------------------------------------
r10 | nrpieper | 2009-05-10 18:01:09 -0500 (Sun, 10 May 2009) | 3 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Cleaned up more bugs.  Added the char "?" as a word boundary indicator.

Debug print statements turned off.
------------------------------------------------------------------------
r9 | nrpieper | 2009-05-10 15:49:51 -0500 (Sun, 10 May 2009) | 2 lines
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fix Fix implemented for Chatter.  Chatter users can now right click highlighted words to view suggestions.

------------------------------------------------------------------------
r8 | nrpieper | 2009-05-10 15:47:31 -0500 (Sun, 10 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua

Fix implemented for Chatter.  Chatter users can now right click highlighted words to view suggestions.
------------------------------------------------------------------------
r7 | nrpieper | 2009-05-09 17:25:54 -0500 (Sat, 09 May 2009) | 1 line
Changed paths:
   M /trunk/Dict/Dic_en_US.lua

Added Wrath dungeon and raid boss names to the standard Dictionary.
------------------------------------------------------------------------
r6 | nrpieper | 2009-05-09 15:16:51 -0500 (Sat, 09 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc

Fixed problem with links not being parsed and ignored.
------------------------------------------------------------------------
r5 | nrpieper | 2009-05-09 09:05:26 -0500 (Sat, 09 May 2009) | 3 lines
Changed paths:
   M /trunk/Dict/Dic_en_US.lua
   M /trunk/Misspelled.lua

Remarked out debug prints and added the words
Jewelcrafting, Leatherworking, and Warcraft to the std dictionary.
beta
------------------------------------------------------------------------
r4 | nrpieper | 2009-05-09 08:25:14 -0500 (Sat, 09 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua
   M /trunk/Misspelled.toc
   M /trunk/WordDict.lua

Add to User Dictionary an Ignore All features implemented.
------------------------------------------------------------------------
r3 | nrpieper | 2009-05-08 16:09:04 -0500 (Fri, 08 May 2009) | 1 line
Changed paths:
   M /trunk/Misspelled.lua

Minor comment updates
------------------------------------------------------------------------
r2 | nrpieper | 2009-05-08 15:06:36 -0500 (Fri, 08 May 2009) | 1 line
Changed paths:
   M /trunk
   A /trunk/.pkgmeta
   A /trunk/Bindings.xml
   A /trunk/Dict
   A /trunk/Dict/Dic_en_US.lua
   A /trunk/Misspelled.lua
   A /trunk/Misspelled.toc
   A /trunk/Misspelled.xml
   A /trunk/WordDict.lua
   A /trunk/embeds.xml
   A /trunk/test.lua
   A /trunk/test1.lua
   A /trunk/test2.lua
   A /trunk/tprint.lua

Initial check-in
------------------------------------------------------------------------
r1 | root | 2009-05-08 13:13:17 -0500 (Fri, 08 May 2009) | 1 line
Changed paths:
   A /branches
   A /tags
   A /trunk

"misspelled/mainline: Initial Import"
------------------------------------------------------------------------

